<bugID>577868<Summary>Windows 7 Taskbar: 'Close All Windows' should behave like Firefox -&gt; Exit</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; Windows NT 6.1; en-US; rv:2.0b2pre) Gecko/20100710 Minefield/4.0b2pre
Build Identifier: Mozilla/5.0 (Windows; Windows NT 6.1; en-US; rv:2.0b2pre) Gecko/20100710 Minefield/4.0b2pre

In its current implementation 'Close All Windows' from Windows 7 Taskbar closes the windows in certain order. It does not end the 'session'. As a result when Firefox is launched again, only the Last Window in the order is restored, instead of All the windows.

This is with 'Show My Windows and Tabs from Last Time' option enabled.

Reproducible: Always

Steps to Reproduce:
1. Launch Firefox
2. Open 3 Windows
3. Open a few Tabs in Each Window
4. Right Click Windows 7 Taskbar Icon and select 'Close All Windows'
5. Launch Firefox Again

Actual Results:  
One Window is Opened

Expected Results:  
All Windows should be restored.</Description></bugID>